#
# spec file for package python-m2crypto (Version 0.19.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-m2crypto
BuildRequires:  openssl-devel python-devel swig
Url:            http://chandlerproject.org/bin/view/Projects/MeTooCrypto
License:        X11/MIT, ZPLv2, BSD3
Group:          Development/Languages/Python
AutoReqProv:    on
Version:        0.19.1
Release:        2.1
Summary:        Crypto and SSL toolkit for Python
Source0:        M2Crypto-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the
following:

RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including
AES). SSL functionality to implement clients and servers. HTTPS
extensions to Python's httplib, urllib, and xmlrpclib. Unforgeable
HMAC'ing AuthCookies for web session management. FTP/TLS client and
server. S/MIME. ZServerSSL: A HTTPS server for Zope. ZSmime: An S/MIME
messenger for Zope.

It currently lives at
http://wiki.osafoundation.org/bin/view/Projects/MeTooCrypto. The
original M2Crypto homepage is at http://sandbox.rulemaker.net/ngps/m2/.



Authors:
--------
    Heikki Toivonen

%prep
%setup -n M2Crypto-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGES LICENCE README demo tests

%changelog
* Fri Feb 27 2009 jblunck@suse.de
- Update to M2Crypto 0.19.1.
* Tue Jan 13 2009 matejcik@suse.cz
- package taken from devel:languages:python in OBS
